Page MenuHomePhabricator

"etytree" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the etytree project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM
bd808 added a subscriber: bd808.Dec 4 2019, 5:49 PM

Ping @Epantaleo

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

Ping @bd808
Can you help me migrate my instance (etytree-b.etytree.eqiad.wmflabs)?

bd808 added a comment.Dec 31 2019, 6:59 PM

Ping @bd808
Can you help me migrate my instance (etytree-b.etytree.eqiad.wmflabs)?

What help do you need?

Based on what I see at https://tools.wmflabs.org/openstack-browser/project/etytree you need to request more quota to be able to create a second "bigram" instance. See my comment above for a link that will create a quota request task. Once you have done that and we have granted you more quota you can build a new instance using Buster as the base OS and start adding your custom applications/data to the instance. I do not see any documentation at https://wikitech.wikimedia.org/wiki/Nova_Resource:Etytree about how to build instances for this project, so there is not much help I can give other than advice for specific issues you run into.

Thanks, that helps. I thought there was an easier way to transfer instances without having to reinstall everything from scratch.

I'm having troubles creating the instance: the Total VCPUs

used exceed the maximum. Can you help me fix that? Thanks

bd808 added a comment.Jan 2 2020, 3:53 PM

Can you help me fix that? Thanks

Based on what I see at https://tools.wmflabs.org/openstack-browser/project/etytree you need to request more quota to be able to create a second "bigram" instance. See my comment above for a link that will create a quota request task.

If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

I see, last time when I asked for more cpu (https://phabricator.wikimedia.org/T156021) I was told that disk space doesn't require a quota change. I'll sort that out, thanks

bd808 assigned this task to Epantaleo.Jan 9 2020, 5:08 AM
bd808 added a comment.Jan 17 2020, 3:34 AM

@Epantaleo It looks like you were able to create an etytree-a.etytree.eqiad.wmflabs instance. Do you need further help to remove etytree-b.etytree.eqiad.wmflabs?

Yes I was, thanks, however I am still in the process of sorting out how to configure the virtuoso server for etytree on the new OS (in the previous OS I could use the most recent virtuoso - which I know how to configure - while here I need to use an older version I don't have experience with).

I am done configuring. I started a new instance (etytree-a), the old jessie resources can be deallocated. Thank you.

bd808 closed this task as Resolved.Feb 20 2020, 3:15 AM